org.jgroups.blocks

## Class DistributedLockManager.AcquireLockDecree

- java.lang.Object
- - org.jgroups.blocks.DistributedLockManager.LockDecree
  - - org.jgroups.blocks.DistributedLockManager.AcquireLockDecree

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DistributedLockManager

    public static class DistributedLockManager.AcquireLockDecree
    extends DistributedLockManager.LockDecree

This class represents the lock to be released.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jgroups.blocks.DistributedLockManager.LockDecree

`commited, lockId, managerId, requester`

### Method Summary

Methods
`boolean` `isValid()` Lock aquire decree is valid for a `ACQUIRE_EXPIRATION` time after creation and if the lock is still valid (in the future locks will be leased for a predefined period of time).

### Methods inherited from class org.jgroups.blocks.DistributedLockManager.LockDecree

`commit, equals, getKey, getRequester, hashCode, isMultipleLocked, setMultipleLocked, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isValid

    public boolean isValid()

Lock aquire decree is valid for a `ACQUIRE_EXPIRATION` time after creation and if the lock is still valid (in the future locks will be leased for a predefined period of time).

Overrides:
  `isValid` in class `DistributedLockManager.LockDecree`